Skip to main content
POST
Create service account secret

Authorizations

Authorization
string
header
required

Authorization code flow with PKCE-S256. RFC 8628 device flow is also supported.

Path Parameters

accountId
string
required
Minimum string length: 1

Body

application/json
expires_in_days
integer<int64>

Lifetime in days. Defaults to 90.

Required range: 1 <= x <= 365

Response

Created

account_id
string
required
created_at
string<date-time>
required
expires_at
string<date-time>
required
id
string
required
secret
string
required

The secret. Store it now: it is not shown again.

$schema
string<uri>
read-only

A URL to the JSON Schema for this object.

Example:

"/api/v1/schemas/CreateServiceAccountSecretOutputBody.json"

created_by
string

Empty once the creator's account is erased.

last_used_at
string<date-time>

Last exchange, to the minute.

last_used_user_agent
string

User-Agent of the last exchange.